Bug 17365 - Error while trying to install rpm file from home directory
Summary: Error while trying to install rpm file from home directory
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) other
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-30 04:18 UTC by Rick
Modified: 2008-10-13 06:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick 2008-08-30 04:18:25 UTC
Error Type: <type 'exceptions.OSError'>
Error Value: [Errno 2] No such file or directory: '/home/rick/Desktop/flash-plugin-9.0.124.0-release.i386.rpm'
  File : /usr/share/PackageKit/helpers/yum/install-files.py , line 20, in <module>
    backend.install_files(trusted, files_to_inst)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1034, in install_files
    self._runYumTransaction()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1139, in _runYumTransaction
    rpmDisplay=rpmDisplay)
  File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 2845, in processTransaction
    self._doTestTransaction(callback,display=rpmTestDisplay)
  File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 2927, in _doTestTransaction
    tserrors = self.ts.test( testcb, conf=tsConf )
  File : /usr/lib/python2.5/site-packages/rpmUtils/transaction.py , line 100, in test
    tserrors = self.ts.run(cb.callback, '')
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py , line 313, in callback
    return self._instOpenFile( bytes, total, h )
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py , line 355, in _instOpenFile
    fd = os.open(rpmloc, os.O_RDONLY)
Comment 1 Richard Hughes 2008-09-02 02:43:00 UTC
What does "ls -l /home/rick/Desktop/flash-plugin-9.0.124.0-release.i386.rpm" report?
Comment 2 Richard Hughes 2008-09-26 08:14:36 UTC
I've fixed a few bugs like this in 0.3.0 -- could you give the F10 live cd a try please?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.